org.apache.lucene.store

## Class FSDirectory.FSIndexInput

- java.lang.Object
- - org.apache.lucene.store.IndexInput
  - - org.apache.lucene.store.BufferedIndexInput
    - - org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput
      - - org.apache.lucene.store.FSDirectory.FSIndexInput

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    FSDirectory

  Deprecated.
  Use SimpleFSDirectory.SimpleFSIndexInput instead

      protected static class FSDirectory.FSIndexInput
      extends SimpleFSDirectory.SimpleFSIndexInput

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `FSDirectory.FSIndexInput.Descriptor` Deprecated.

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

      `chunkSize, file`

    - ### Fields inherited from class org.apache.lucene.store.BufferedIndexInput

      `buffer, BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSIndexInput(java.io.File path)` Deprecated.
    `FSIndexInput(java.io.File path, int bufferSize)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

      `clone, close, length, readInternal, seekInternal`

    - ### Methods inherited from class org.apache.lucene.store.BufferedIndexInput

      `getBufferSize, getFilePointer, newBuffer, readByte, readBytes, readBytes, seek, setBufferSize`

    - ### Methods inherited from class org.apache.lucene.store.IndexInput

      `readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSIndexInput

          public FSIndexInput(java.io.File path)
                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### FSIndexInput

          public FSIndexInput(java.io.File path,
                              int bufferSize)
                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.